m4d_core 0.2.21

  • Readme
  • Changelog
  • Installing
  • 52

Material4Dart Core package #

For more - check out these packages:

Change Log for m4d_core #

Material Design 4 Dart

Unreleased #

Feature #

  • Warning if Service is already registered d491e48
  • ServiceProvider acts as Singleton-Factory 2a5432a
  • Bind directly to Service - makes the whole thing typesafe 99296d3
  • Added helper function to convert a service to a string (serviceAsString) 2f2715a

Bugs #

  • ServiceProvider as Singleton for all registered types lead to TypeErrors 7bbac31
  • Servic-CTOR was not const 93db395

Refactor #

  • Removed global _container variable f57afce
  • Changed 'componentHandler().run to ...uprgrade() 7cdfdca

v0.2 - 2018-12-19 #

Feature #

  • ioc-Container is more typesafe a653946
  • IOC-Container can register Events 1b090bf
  • Added some DOM-Helper functions bfac090
  • Added ObservableProperty and ObservableList 7e0120a
  • ObservableProperty added 6e0f459

Docs #

This CHANGELOG.md was generated with Changelog for Dart

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  m4d_core: ^0.2.21

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:m4d_core/m4d_core.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
35
Health:
Code health derived from static analysis. [more]
75
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
60
Overall:
Weighted score of the above. [more]
52
Learn more about scoring.

We analyzed this package on Apr 4, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6

Health suggestions

Fix lib/core/MdlComponentHandler.dart. (-10.89 points)

Analysis of lib/core/MdlComponentHandler.dart reported 23 hints, including:

line 73 col 1: Prefer using /// for doc comments.

line 82 col 28: Unnecessary new keyword.

line 86 col 63: Avoid const keyword.

line 87 col 59: Avoid const keyword.

line 89 col 58: Unnecessary new keyword.

Fix lib/observable/ObservableList.dart. (-8.63 points)

Analysis of lib/observable/ObservableList.dart reported 18 hints, including:

line 43 col 46: Don't type annotate initializing formals.

line 43 col 96: Use = to separate a named parameter from its default value.

line 103 col 28: Unnecessary new keyword.

line 105 col 32: Unnecessary new keyword.

line 106 col 35: Unnecessary new keyword.

Fix lib/core/DomRenderer.dart. (-6.78 points)

Analysis of lib/core/DomRenderer.dart reported 14 hints, including:

line 38 col 28: Unnecessary new keyword.

line 40 col 52: Avoid const keyword.

line 42 col 55: Unnecessary new keyword.

line 53 col 103: Use = to separate a named parameter from its default value.

line 59 col 50: Unnecessary new keyword.

Fix additional 15 files with analysis or formatting issues. (-36.34 points)

Additional issues in the following files:

  • lib/observable/ObservableProperty.dart (14 hints)
  • lib/core/utils.dart (13 hints)
  • lib/core/dom/DataAttibute.dart (9 hints)
  • lib/core/MdlComponent.dart (8 hints)
  • lib/core/annotations.dart (6 hints)
  • lib/m4d_utils.dart (5 hints)
  • lib/core/interfaces.dart (4 hints)
  • lib/utils/StringToFunction.dart (4 hints)
  • lib/core/MdlConfig.dart (3 hints)
  • lib/m4d_core.dart (2 hints)
  • lib/m4d_ioc.dart (2 hints)
  • lib/utils/ConvertValue.dart (2 hints)
  • lib/core/MdlEventListener.dart (1 hint)
  • lib/core/dom/ElementProperties.dart (1 hint)
  • lib/services.dart (Run dartfmt to format lib/services.dart.)

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and m4d_core.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is getting outdated. (-9.86 points)

The package was last published 57 weeks ago.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
console_log_handler ^1.0.0 1.1.6
l10n ^2.0.0 2.0.19
logging >=0.11.3 <1.0.0 0.11.4
path ^1.4.0 1.6.4
platform_detect ^1.3.0 1.4.0
validate ^1.0.0 1.7.0
Transitive dependencies
_fe_analyzer_shared 2.0.0
analyzer 0.39.5
ansicolor 1.0.2
async 2.4.1
build_cli_annotations 1.2.0
charcode 1.1.3
collection 1.14.12
convert 2.1.1
crypto 2.1.4
csslib 0.16.1
dart_style 1.3.3
glob 1.2.0
html 0.14.0+3
intl 0.15.8 0.16.1
intl_translation 0.17.9
js 0.6.1+1
meta 1.1.8
node_interop 1.0.3
node_io 1.0.1+2
optional 3.1.0 4.1.0
package_config 1.9.3
pedantic 1.9.0
petitparser 2.4.0 3.0.2
pub_semver 1.4.4
source_span 1.7.0
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+14
where 4.4.0 6.6.0
yaml 2.2.0
Dev dependencies
args any 1.6.0
build_runner any
build_test any
build_web_compilers any
test any